Bug 846177 - [abrt] docky-2.0.12-3.fc17: connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "PurpleConversationGetData" with signature "is" on interface "im.pidgin.purple.PurpleInterface" doesn't exist
[abrt] docky-2.0.12-3.fc17: connection.py:630:call_blocking:DBusException: or...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: docky (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Zapletal
Fedora Extras Quality Assurance
abrt_hash:5f33d1a74914194afe3125407b4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 23:37 EDT by Chris Brennan
Modified: 2013-07-31 23:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:29:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Brennan 2012-08-06 23:37:50 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python /usr/share/docky/helpers/pidgin_control.py
event_log:      2012-08-06-23:37:21> Smolt profile successfully saved
executable:     /usr/share/docky/helpers/pidgin_control.py
kernel:         3.5.0-2.fc17.x86_64
time:           Mon 06 Aug 2012 11:30:03 PM EDT
uid:            1000
username:       chris

backtrace:
:connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "PurpleConversationGetData" with signature "is" on interface "im.pidgin.purple.PurpleInterface" doesn't exist
:
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 586, in msg_reply_handler
:    reply_handler(*message.get_args_list(**get_args_opts))
:  File "/usr/share/docky/helpers/pidgin_control.py", line 87, in list_names_handler
:    self.update_badge()
:  File "/usr/share/docky/helpers/pidgin_control.py", line 141, in update_badge
:    count = count + self.pidgin.iface.PurpleConversationGetData(conv, "unseen-count")
:  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
:    **keywords)
:  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
:    message, timeout)
:DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "PurpleConversationGetData" with signature "is" on interface "im.pidgin.purple.PurpleInterface" doesn't exist
:
:
:Local variables in innermost frame:
:byte_arrays: False
:self: <dbus._dbus.SessionBus (session) at 0x7fb8ca57ae30>
:args: (dbus.Int32(692900), 'unseen-count')
:utf8_strings: False
:bus_name: dbus.UTF8String(':1.100')
:get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
:object_path: '/im/pidgin/purple/PurpleObject'
:timeout: -1.0
:signature: None
:dbus_interface: 'im.pidgin.purple.PurpleInterface'
:message: <dbus.lowlevel.MethodCallMessage object at 0x7fb8d10cec00>
:method: 'PurpleConversationGetData'

smolt_data:
:
:
:General
:=================================
:UUID: 7797ae6e-eec7-4816-bbcf-db717f9fa61b
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4389.84
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3-2330M CPU @ 2.20GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2200
:System Memory: 7765
:System Swap: 9823
:Vendor: ASUSTeK Computer Inc.
:System: K53E 1.0
:Form factor: Notebook
:Kernel: 3.5.0-2.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7241:4163:4423) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(6505:4227:4163:6225) pci, atl1c, ETHERNET, AR8151 v2.0 Gigabit Ethernet
:(32902:278:4163:5714) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4163:4423) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4163:4423) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4163:4423) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7200:4163:6979) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4163:4423) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(6945:4162:4163:4185) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:(5772:43:6715:4233) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(32902:7171:4163:4423) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4163:4423) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4163:4423) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4163:4423) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4163:4423) pci, mei, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:7194:4163:4423) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_silverdragon-lv_root / xfs 4096 4096 13100800 8200310 8200310 52428800 51841640 51841640
:/dev/sda1 /boot ext4 1024 1024 508644 399000 373400 128016 127665 127665
:/dev/mapper/vg_silverdragon-lv_home /home xfs 4096 4096 140456952 109736046 109736046 562102272 561909767 561909767
:
Comment 1 Fedora End Of Life 2013-07-03 20:06:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 23:29:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.